Create a monitoring credential

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/actions/setMonitoringCredential

Creates a named credential as monitoring for the target type or target instance and set name provided in the payload.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Schema object to hold Monitoring Credential data required in the setMonitoringCredential action.
Show Source
Match All
Schema object to hold Monitoring Credential data required in the setMonitoringCredential action.
Show Source
Nested Schema : targetNames
Type: array
the targets list, if needed to set for multiple targets
Show Source
Nested Schema : MonitoringCredentialCommon
Type: object
Input for creating a Monitoring Credential
Show Source
Match All
Input for creating a Monitoring Credential
Show Source
Nested Schema : TargetAndSetCommon
Type: object
Input for creating a Monitoring Credential
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Monitoring credential created successfully
Body ()
Root Schema : MonitoringCredential
Type: object
A monitoring credential is used to describe which credential set and attributes is used to access a target.
Show Source
Nested Schema : attributes
Type: array
Additional Properties Allowed
Show Source
the attributes of the credential
Show Source
Example:
[
    {
        "name":"UserName",
        "value":"MyUserName"
    },
    {
        "name":"Password",
        "value":"MyPassword"
    }
]
Nested Schema : NameValuePair
Type: object
A pair of name and value.
Show Source
Examples

400 Response

Bad Request.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

401 Response

Unauthorized.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

403 Response

Forbidden.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

409 Response

Conflict.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

500 Response

Internal Server Error.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

503 Response

Service Unavailable
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source
Back to Top